/*
 * $Header: /cvs/lusers/utmpfns.h,v 1.1 2001/04/30 11:13:53 richard Exp $
 *
 *    utmpfn.h - utmp reading code for systems without setutent etc
 *    Copyright (C) 2001 Richard Kettlewell
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

#if ! HAVE_SETUTENT

/* rewind the utmp file */

int setutent_r(FILE **fpp);

/* close the utmp file */

int endutent_r(FILE **fpp);

/* read one entry from the utmp file */

int getutent_r(const char *path,
	       FILE **fpp,
	       struct utmp *utmp_entry);

/* non-re-entrant interface */

void setutent(void);
void endutent(void);
struct utmp *getutent(void);
void utmpname(const char *path);

#endif
